Skip to main content
GET
/
payouts
Retrieve Payout by Merchant Reference
curl --request GET \
  --url https://api-sandbox.y.uno/v1/payouts \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
[
  {
    "id": "565c9733-000d-4066-a4bf-b084908dc74c",
    "account_id": "f7c5fe77-721b-49c2-84d3-957748df3c2c",
    "status": "SUCCEEDED",
    "merchant_reference": "MR-Test-12345",
    "purpose": "",
    "country": "US",
    "description": "Test",
    "amount": {
      "currency": "USD",
      "value": 100
    },
    "beneficiary": {
      "merchant_beneficiary_id": "test_merchant_deposit_id",
      "national_entity": "INDIVIDUAL",
      "first_name": "John",
      "last_name": "Doe",
      "legal_name": "John Doe",
      "email": "john.doe@email.com",
      "country": "US",
      "date_of_birth": "1980-01-01",
      "document": {
        "document_type": "SSN",
        "document_number": "123-45-6789"
      },
      "phone": {
        "country_code": "1",
        "number": "1234567890"
      },
      "address": {
        "address_line_1": "123 Main St",
        "address_line_2": "Apt 1",
        "country": "US",
        "state": "NY",
        "city": "New York",
        "zip_code": "10001"
      }
    },
    "metadata": [],
    "created_at": "2024-05-27T15:17:30.952178Z",
    "updated_at": "2024-05-27T15:17:32.901454Z",
    "transactions": [
      {
        "id": "bd594d5c-d7b7-48b1-9678-0b5052a69863",
        "status": "SUCCEEDED",
        "type": "ASTROPAY_PAYOUT",
        "response_code": "SUCCEEDED",
        "merchant_reference": "MR-Test-12345",
        "purpose": "",
        "description": "Test",
        "amount": {
          "currency": "USD",
          "value": 100
        },
        "withdrawal_method": {
          "type": "ASTROPAY_PAYOUT",
          "detail": {
            "bank_transfer": null,
            "wallet": {
              "code": "h15sg84U6rCl",
              "email": null,
              "country": null,
              "document": null,
              "phone": null
            }
          }
        },
        "provider_data": {
          "id": "ASTROPAY",
          "transaction_id": "32376",
          "account_id": "",
          "beneficiary_id": "test_merchant_deposit_id",
          "status": "APPROVED",
          "status_detail": "APPROVED",
          "raw_response": "\"{\\n  \\\"cashout_id\\\" : 32376,\\n  \\\"merchant_cashout_id\\\" : \\\"bd594d5c-d7b7-48b1-9678-0b5052a69863\\\",\\n  \\\"status\\\" : \\\"APPROVED\\\",\\n  \\\"user_id\\\" : \\\"h15sg84U6rCl\\\"\\n}\""
        },
        "created_at": "2024-05-27T15:17:31.265607Z",
        "updated_at": "2024-05-27T15:17:32.901448Z"
      }
    ]
  }
]
This request enables you to retrieve details of a payout based on the merchant_reference, which needs to be provided as a query param.

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required

Query Parameters

merchant_reference
string
required

Identification of the payout defined by the merchant.

Response

200

id
string
Example:

"565c9733-000d-4066-a4bf-b084908dc74c"

account_id
string
Example:

"f7c5fe77-721b-49c2-84d3-957748df3c2c"

status
string
Example:

"SUCCEEDED"

merchant_reference
string
Example:

"MR-Test-12345"

purpose
string
Example:

""

country
string
Example:

"US"

description
string
Example:

"Test"

amount
object
beneficiary
object
metadata
array
created_at
string
Example:

"2024-05-27T15:17:30.952178Z"

updated_at
string
Example:

"2024-05-27T15:17:32.901454Z"

transactions
object[]